Bug 146819 - internal compiler error: in var_ann, at tree-flow-inline.h:34
internal compiler error: in var_ann, at tree-flow-inline.h:34
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc4 (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 16:27 EST by Shawn Starr
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.0.0-0.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 13:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GCC 4.0.0 compile dump output (687.75 KB, text/plain)
2005-02-01 16:30 EST, Shawn Starr
no flags Details

  None (edit)
Description Shawn Starr 2005-02-01 16:27:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
While attempting to test gcc 4.0.0 building linux kernel 2.6.9 the gcc
compiler threw an ICE:

drivers/scsi/aic7xxx/aic79xx_core.c: In function �ahd_flush_qoutfifo�:
drivers/scsi/aic7xxx/aic79xx_core.c:367: internal compiler error: in
var_ann, at tree-flow-inline.h:34
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Preprocessed source stored into /tmp/ccG1Hmau.out file, please attach
this to your bugreport.
make[3]: *** [drivers/scsi/aic7xxx/aic79xx_core.o] Error 1
make[2]: *** [drivers/scsi/aic7xxx] Error 2
make[1]: *** [drivers/scsi] Error 2
make: *** [drivers] Error 2



Version-Release number of selected component (if applicable):
gcc4-4.0.0-0.14.EL4

How reproducible:
Always

Steps to Reproduce:
1. Compile Linux kernel with gcc 4.0.0 (set HOSTCC to gcc4 for compiler)
2. make modules && make modules_install, fails building
3.
    

Actual Results:  drivers/scsi/aic7xxx/aic79xx_core.c: In function
�ahd_flush_qoutfifo�:
drivers/scsi/aic7xxx/aic79xx_core.c:367: internal compiler error: in
var_ann, at tree-flow-inline.h:34
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Preprocessed source stored into /tmp/ccG1Hmau.out file, please attach
this to your bugreport.
make[3]: *** [drivers/scsi/aic7xxx/aic79xx_core.o] Error 1
make[2]: *** [drivers/scsi/aic7xxx] Error 2
make[1]: *** [drivers/scsi] Error 2
make: *** [drivers] Error 2


Expected Results:  aic7xxx kernel driver is supposed to be built.

Additional info:

Attached gcc compile dump.
Comment 1 Shawn Starr 2005-02-01 16:30:07 EST
Created attachment 110527 [details]
GCC 4.0.0 compile dump output

GCC dumped output
Comment 2 Jakub Jelinek 2005-02-07 13:23:07 EST
Works in FC3 gcc4 (4.0.0-0.8), broken in 4.0.0-0.14.EL4 and is fixed again in
4.0.0-0.19 and 4.0.0-0.22.  The last one is what is currently in rawhide
and eventually will be included in some RHEL4 update.
Though gcc4 in RHEL4 is just a technology preview package and should be treated
as such.

Note You need to log in before you can comment on or make changes to this bug.